Debian Bug report logs - #675841
libcitadel: FTBFS[kfreebsd]: error: 'SPLICE_F_MORE' undeclared (first use in this function)

version graph

Package: src:libcitadel; Maintainer for src:libcitadel is Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 16:18:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version libcitadel/8.11-1

Fixed in version libcitadel/8.11-2

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>:
Bug#675841; Package src:libcitadel. (Sun, 03 Jun 2012 16:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 16:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libcitadel: FTBFS[kfreebsd]: error: 'SPLICE_F_MORE' undeclared (first use in this function)
Date: Sun, 03 Jun 2012 18:16:28 +0200
Package: src:libcitadel
Version: 8.11-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

CC: lib/stringbuf.c
lib/stringbuf.c: In function 'FileSendChunked':
lib/stringbuf.c:3881:7: warning: unused variable 'nRead' [-Wunused-variable]
lib/stringbuf.c:3880:8: warning: unused variable 'pRead' [-Wunused-variable]
lib/stringbuf.c: In function 'FileRecvChunked':
lib/stringbuf.c:3927:2: warning: implicit declaration of function 'splice' [-Wimplicit-function-declaration]
lib/stringbuf.c:3930:6: error: 'SPLICE_F_MORE' undeclared (first use in this function)
lib/stringbuf.c:3930:6: note: each undeclared identifier is reported only once for each function it appears in
lib/stringbuf.c:3930:22: error: 'SPLICE_F_MOVE' undeclared (first use in this function)
lib/stringbuf.c:3930:36: error: 'SPLICE_F_NONBLOCK' undeclared (first use in this function)
make[1]: *** [lib/stringbuf.lo] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libcitadel&arch=kfreebsd-i386&ver=8.11-1&stamp=1338462444

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>:
Bug#675841; Package src:libcitadel. (Mon, 04 Jun 2012 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>. (Mon, 04 Jun 2012 17:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 675841@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 675841@bugs.debian.org
Subject: Re: libcitadel: FTBFS[kfreebsd]: error: 'SPLICE_F_MORE' undeclared (first use in this function)
Date: Mon, 4 Jun 2012 19:07:44 +0200 (CEST)
Hi,

it is due to attempt to use sendfile.

Moreover, the configure.in already contains:

AC_CHECK_HEADER(sys/sendfile.h, [AC_DEFINE(LINUX_SENDFILE, [], [whether we have the linux sendfile api])])
dnl TODO: we might need to check for the actual syntax....

And yes, we hit the TODO ...

Cheers
		Petr






Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Tue, 05 Jun 2012 09:51:30 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 05 Jun 2012 09:51:41 GMT) Full text and rfc822 format available.

Message #15 received at 675841-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 675841-close@bugs.debian.org
Subject: Bug#675841: fixed in libcitadel 8.11-2
Date: Tue, 05 Jun 2012 09:49:35 +0000
Source: libcitadel
Source-Version: 8.11-2

We believe that the bug you reported is fixed in the latest version of
libcitadel, which is due to be installed in the Debian FTP archive:

libcitadel-dev_8.11-2_amd64.deb
  to main/libc/libcitadel/libcitadel-dev_8.11-2_amd64.deb
libcitadel2-dbg_8.11-2_amd64.deb
  to main/libc/libcitadel/libcitadel2-dbg_8.11-2_amd64.deb
libcitadel2_8.11-2_amd64.deb
  to main/libc/libcitadel/libcitadel2_8.11-2_amd64.deb
libcitadel_8.11-2.diff.gz
  to main/libc/libcitadel/libcitadel_8.11-2.diff.gz
libcitadel_8.11-2.dsc
  to main/libc/libcitadel/libcitadel_8.11-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675841@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated libcitadel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 05 Jun 2012 11:30:24 +0200
Source: libcitadel
Binary: libcitadel2 libcitadel2-dbg libcitadel-dev
Architecture: source amd64
Version: 8.11-2
Distribution: unstable
Urgency: low
Maintainer: Debian Citadel Team <pkg-citadel-devel@lists.alioth.debian.org>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 libcitadel-dev - Development files for libcitadel2
 libcitadel2 - Citadel toolbox
 libcitadel2-dbg - Debugging symbols for libcitadel2
Closes: 675841
Changes: 
 libcitadel (8.11-2) unstable; urgency=low
 .
   * Applied upstream's patch to fix compilation problem on kFreeBSD.
     (Closes: #675841)
Checksums-Sha1: 
 594dd17b8a901a58823ddfff64218f02c2eebc65 1431 libcitadel_8.11-2.dsc
 346a01138be71194b5536a28434c7682d3736262 7880 libcitadel_8.11-2.diff.gz
 ba60d58e34dde78ef850949c58064910d64db47f 72036 libcitadel2_8.11-2_amd64.deb
 4a59009cd8623d57cb986159c3ddcf37aa223900 137866 libcitadel2-dbg_8.11-2_amd64.deb
 94ba644a805dc452b9280e855c07d66449b206c0 85458 libcitadel-dev_8.11-2_amd64.deb
Checksums-Sha256: 
 baf4f31fff235abe83e9d0134f29dbefa8b677a2852aa6fe22e20b1eaee6c099 1431 libcitadel_8.11-2.dsc
 149adb55468cc2de6722a5c6074f0fa53f82265c8411cc84785fe81a0828e2a4 7880 libcitadel_8.11-2.diff.gz
 c90fce898317cdbe7f9e75c90239e24912e46628c55ed559ffd029d34e559cb0 72036 libcitadel2_8.11-2_amd64.deb
 9d981d6e0d22a74f28f87d8fa3bf08e9f32cde7042f01c8895e7c1c31e50cc8c 137866 libcitadel2-dbg_8.11-2_amd64.deb
 e3b5ae508215e71842f27f5933f812828d8d20ec609665a9d438a252d279a8b4 85458 libcitadel-dev_8.11-2_amd64.deb
Files: 
 1752f2ca684d85253199bd50cffe898c 1431 libs extra libcitadel_8.11-2.dsc
 2802ea3fd6f524f8399bede797359a9b 7880 libs extra libcitadel_8.11-2.diff.gz
 297746768d619ee6b849d93f3722292d 72036 libs extra libcitadel2_8.11-2_amd64.deb
 d0226ddc13908c51934a3ce768e0e50f 137866 debug extra libcitadel2-dbg_8.11-2_amd64.deb
 8b3c9b34efc036c3b12ec0afb99d9674 85458 libdevel extra libcitadel-dev_8.11-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPzdJLVkEm8inxm9ERAsAOAJ0aQyPNY9kLOfkVk3bQL8XU4gl76ACfSKX4
s0e8bYuOuw3ks4Q/bmGETmc=
=ytgu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jul 2012 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:02:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.